Bug 1317012 (CVE-2016-2184) - CVE-2016-2184 kernel: Kernel panic on invalid USB device descriptor (snd_usb_audio driver)
Summary: CVE-2016-2184 kernel: Kernel panic on invalid USB device descriptor (snd_usb_...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2016-2184
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20160314,reported=2...
Depends On: 1283355 1283358 1317010 1317470
Blocks: 1317020
TreeView+ depends on / blocked
 
Reported: 2016-03-11 17:10 UTC by Adam Mariš
Modified: 2019-06-08 21:04 UTC (History)
26 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-31 13:26:36 UTC


Attachments (Terms of Use)

Description Adam Mariš 2016-03-11 17:10:31 UTC
A flaw was found in in the Linux kernel's USB device management code which could cause a crash when a device which required snd_usb_audio driver.  The kernel would panic causing null pointer dereference attempting to access non existent endpoints.

Product bugs:

https://bugzilla.redhat.com/show_bug.cgi?id=1283355
https://bugzilla.redhat.com/show_bug.cgi?id=1283358

Comment 1 Adam Mariš 2016-03-11 17:10:46 UTC
Acknowledgments:

Name: Ralf Spenneberg (OpenSource Security)

Comment 3 Adam Mariš 2016-03-14 10:27:01 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1317470]

Comment 7 Vladis Dronov 2016-03-31 13:26:36 UTC
Statement:

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 5, 6, 7 and MRG-2. This has been rated as having Low security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

Comment 8 Fedora Update System 2016-04-02 00:42:26 UTC
kernel-4.5.0-302.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-04-02 15:50:13 UTC
kernel-4.5.0-302.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-04-08 15:54:00 UTC
kernel-4.4.6-301.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-04-08 20:21:45 UTC
kernel-4.4.6-201.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Vladis Dronov 2016-05-20 13:49:07 UTC
cve-id CVE-2016-2184 was assigned internally by the Red Hat.

Final upstream patch:

http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=836b34a935abc91e13e63053d0a83b24dfb5ea78


Note You need to log in before you can comment on or make changes to this bug.